Subject: Getting an error when running the Emacs 28.1 binary that I built from source

From: cinnaroll45 <[email-masked]>
Date: Tue, 31 May 2022 13:01:06 +0000

OS: Debian 11 (Fresh Install)

ARCH: amd64

When building Emacs 27.2 from source, I use the following config:

```bash

./autogen.sh
./configure --prefix=/home/user/emacs --bindir=/home/user/bin \
    --with-json --with-gif --with-jpeg --with-png --with-tiff --with-rsvg

```

It builds without an issue and the binaries end up in my PATH and I can run Emacs.

When building Emacs 28.1 on the same system, I use the same config but with the addition of the `--with-native-compilation`flag:

```bash

./autogen.sh
./configure --prefix=/home/user/emacs --bindir=/home/user/bin \
    --with-native-compilation \
    --with-json --with-gif --with-jpeg --with-png --with-tiff --with-rsvg

```

The build goes without a hitch and the binaries end up in my PATH. However when I try to run the Emacs binary, I get the following error:

`Error using execdir /home/user/emacs/libexec/emacs/28.1/x86_64-pc-linux-gnu/../../../../bin/:
emacs: /home/user/emacs/libexec/emacs/28.1/x86_64-pc-linux-gnu/../../../../bin/../native-lisp/28.1-2120ad00/preloaded/window-0d1b8b93-7ef4271a.eln: cannot open shared object file: No such file or directory`

I should also note that, if I try to run the built binary within the `src`folder, Emacs starts without an issue. Only the binary that's on my PATH seems to have this error.

I have found a very similar problem on the emacs-devel mailing list:

[https://lists.gnu.org/archive/html/emacs-devel/2021-05/msg00003.htm](https://lists.gnu.org/archive/html/emacs-devel/2021-05/msg00003.html)

However, the person is trying to create a deb package so the recommendations there didn't help me.

Both source files are tarballs from the GNU FTP server and my system is Debian stable. Cleaning up build configs and trying fresh builds has not helped.